Package org.bukkit.inventory

# Interface StonecutterInventory

All Superinterfaces:
  `Inventory`, `Iterable<ItemStack>`

public interface StonecutterInventory extends Inventory
Interface to the inventory of a Stonecutter.

## Method Summary

Modifier and Type
Method
Description
`default @Nullable ItemStack`
`getInputItem()`
Gets the input item.
`default @Nullable ItemStack`
`getResult()`
Gets the result item.
`default void`
`setInputItem(@Nullable ItemStack itemStack)`
Sets the input item.
`default void`
`setResult(@Nullable ItemStack itemStack)`
Sets the result item.

### Methods inherited from interface org.bukkit.inventory.Inventory

`addItem, all, all, clear, clear, close, contains, contains, contains, contains, containsAtLeast, first, first, firstEmpty, getContents, getHolder, getHolder, getItem, getLocation, getMaxStackSize, getSize, getStorageContents, getType, getViewers, isEmpty, iterator, iterator, remove, remove, removeItem, removeItemAnySlot, setContents, setItem, setMaxStackSize, setStorageContents`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getInputItem

@Nullable default @Nullable ItemStack getInputItem()
Gets the input item.

Returns:
  input item

### setInputItem

default void setInputItem(@Nullable @Nullable ItemStack itemStack)
Sets the input item.

Parameters:
  `itemStack` - item to set

### getResult

@Nullable default @Nullable ItemStack getResult()
Gets the result item.

Returns:
  result

### setResult

default void setResult(@Nullable @Nullable ItemStack itemStack)
Sets the result item.

Parameters:
  `itemStack` - item to set